Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 216558 - DataView table colors are not exposed in LNF Customization
DataView table colors are not exposed in LNF Customization
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
7.3
All All
: P2 with 4 votes (vote)
: 7.4
Assigned To: Jiri Rechtacek
issues@db
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 00:50 UTC by venkatramakkineni
Modified: 2013-02-08 10:13 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Patch for db.dataview module (2.86 KB, patch)
2012-08-09 00:54 UTC, venkatramakkineni
Details | Diff
Changes to o.n.swing.plaf module (1.24 KB, patch)
2012-08-09 00:56 UTC, venkatramakkineni
Details | Diff
Patch for db.dataview module (2.86 KB, patch)
2012-08-09 00:56 UTC, venkatramakkineni
Details | Diff
Exposing some more colors in db.dataview so that the table is more customizable. (8.13 KB, patch)
2013-01-20 04:47 UTC, venkatramakkineni
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description venkatramakkineni 2012-08-09 00:50:45 UTC
DataView table colors are not exposed in LNF Customization. This makes it hard to develop Darker LNF Customizations.
Comment 1 venkatramakkineni 2012-08-09 00:54:41 UTC
Created attachment 122891 [details]
Patch for db.dataview module

Includes changes in db.dataview moduele. These changes externalize the colors in dataview table.
Comment 2 venkatramakkineni 2012-08-09 00:56:18 UTC
Created attachment 122892 [details]
Changes to o.n.swing.plaf module

Changes to o.n.swing.plaf module, these will expose the db.dataview colors for LNF Customization.
Comment 3 venkatramakkineni 2012-08-09 00:56:57 UTC
Created attachment 122893 [details]
Patch for db.dataview module

Includes changes in db.dataview moduele. These changes externalize the colors
in dataview table.
Comment 4 Petr Somol 2012-08-16 08:49:30 UTC
Jirka please can you evaluate?
Comment 5 Jiri Rechtacek 2012-09-11 21:27:58 UTC
http://hg.netbeans.org/core-main/rev/270739664409
Comment 6 Quality Engineering 2012-09-13 02:11:56 UTC
Integrated into 'main-golden', will be available in build *201209130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/270739664409
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #216558 - DataView table colors are not exposed in LNF Customization
Comment 7 venkatramakkineni 2013-01-20 04:47:09 UTC
Created attachment 130412 [details]
Exposing some more colors in db.dataview so that the table is more customizable.

Hi

This patch exposes some more color keys so LNF developers can customize the UI and little bit further.
Comment 8 Jaroslav Havlin 2013-02-08 10:13:25 UTC
Integrated as http://hg.netbeans.org/core-main/rev/0af325a138a0

Thank you very much for providing the patch!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo